Summary:	Utility for comparing/merging up to three text files or directories
Name:		kdiff3
Version:	1.10.7
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/KDE5
Url:		https://github.com/KDE/kdiff3
Source0:	https://download.kde.org/stable/kdiff3/%{name}-%{version}.tar.xz
Source1:	kdiff3_servicemenu.desktop
BuildRequires: lib64boost-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5parts-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64tbb-devel
BuildRequires: make
BuildRequires:	gettext

%description
A file and directory diff and merge tool which:
   * compares and merges two or three text input files or directories
   * shows the differences line by line and character by character(!)
   * provides an automatic merge-facility
   * has an editor for comfortable solving of merge-conflicts
   * provides network transparency via KIO
   * has options to highlight or hide changes in white-space or comments

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_kf5_services}/ServiceMenus
install -m 0644 %{SOURCE1} %{buildroot}%{_kf5_services}/ServiceMenus/

%files
%{_kf5_bindir}
%{_kf5_datadir}
%{_kf5_libdir}

%changelog
* Sat Dec 30 2023 tex - 1.10.7-1pclos2024
- new version

* Wed Oct 11 2023 tex - 1.10.6-1pclos2023
- new version: 1.10.6
